Package ghidra.program.util

# Class ThunkedFunctionFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.ThunkedFunctionFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class ThunkedFunctionFieldLocation extends FunctionLocation
The `ThunkedFunctionFieldLocation` class provides specific information about a thunked function within a program location.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThunkedFunctionFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `ThunkedFunctionFieldLocation(Program program, Address locationAddr, Address functionAddr, Address thunkedFunctionAddr, int charOffset)`
  Construct a new ThunkedFunctionFieldLocation object.

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `equals, getFunctionAddress, isValid, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, hashCode`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ThunkedFunctionFieldLocation

    public ThunkedFunctionFieldLocation(Program program, Address locationAddr, Address functionAddr, Address thunkedFunctionAddr, int charOffset)
    Construct a new ThunkedFunctionFieldLocation object.
    Parameters:
      `program` - the program containing the thinked function
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `thunkedFunctionAddr` - the thunked function address
      `charOffset` - field character offset

  - ### ThunkedFunctionFieldLocation

    public ThunkedFunctionFieldLocation()
    Default constructor needed for restoring a program location from XML